Skip to content
This repository
Browse code

Remove deprecation warning for ActiveRecord::Errors#generate_message.…

… This is the same API that ActiveModel ended up using and that won't be changing.
  • Loading branch information...
commit 1aae5e70efff5c40b4ab6ca177af7894a9e1b5d2 1 parent a2a3413
Brian Cardarella authored June 09, 2011 tenderlove committed June 09, 2011
1  activerecord/lib/active_record/validations.rb
@@ -333,7 +333,6 @@ def to_xml(options={})
333 333
     end
334 334
 
335 335
     def generate_message(attribute, message = :invalid, options = {})
336  
-      ActiveSupport::Deprecation.warn("ActiveRecord::Errors#generate_message has been deprecated. Please use ActiveRecord::Error.new().to_s.")
337 336
       Error.new(@base, attribute, message, options).to_s
338 337
     end
339 338
   end

0 notes on commit 1aae5e7

Please sign in to comment.
Something went wrong with that request. Please try again.